Subject: Re: g++, opengl, and STDCALL, * __attribute__ ((stdcall)) problem.
From: [email-masked] (Mumit Khan)

7 Jan 1998 15:34:11 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: [email-masked]

On Mon, 1 Dec 1997, Colin Peters wrote:
> I think if you move APIENTRY to the *end* of the function prototype then
> it will work with g++ (and gcc), but, of course, it will stop working with
> other compilers I suspect. If you are just using gcc and g++ then no
> problem, otherwise make separate copies of those headers for gcc/g++.
> 
> WINGDIAP const GLubyte * glGetString( GLenum name) APIENTRY;
> 
> Looks strange, but I think it will work.
> 
> This is, I think, a bug in the C++ parser, and I have no idea if/when it
> will be fixed.
> 

I have a preliminary fix for this, but haven't tested it well enough to 
release it. The next release should have it however.

If anybody's willing to beta test it, let me know.

Mumit

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".